#!/usr/bin/env python
# -*- coding: utf-8 -*-

# 3rd party imports
import matplotlib.pyplot as plt

# Local imports
from .plot_line import plot_line
from .plot_spectr import plot_spectr
from .mms_pl_config import mms_pl_config
from .pl_scatter_matrix import pl_scatter_matrix
from .zoom import zoom
from .colorbar import colorbar
from .make_labels import make_labels
from .pl_tx import pl_tx
from .add_position import add_position
from .plot_magnetosphere import plot_magnetosphere
from .plot_projection import plot_projection
from .plot_surf import plot_surf
from .span_tint import span_tint
from .plot_clines import plot_clines
from .plot_sitl_overview import plot_sitl_overview
from .plot_ang_ang import plot_ang_ang
from .plot_heatmap import plot_heatmap
from .annotate_heatmap import annotate_heatmap
from .plot_reduced_2d import plot_reduced_2d

__author__ = "Louis Richard"
__email__ = "louisr@irfu.se"
__copyright__ = "Copyright 2020-2021"
__license__ = "MIT"
__version__ = "2.3.7"
__status__ = "Prototype"


# Setup plotting style
plt.style.use("classic")
plt.rcParams["figure.facecolor"] = "1"
plt.rcParams["mathtext.sf"] = "sans"
plt.rcParams["mathtext.fontset"] = "dejavusans"

